> For the complete documentation index, see [llms.txt](https://docs.gunchi.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.gunchi.dev/scripts/blaine-county-savings-banks/installation.md).

# Installation

## **1. Add the Hacking Device Item**

Add the following item to:

**`core > shared.gta5.lua`**

```lua
["bcsbhackingdevice"] = {
    ["label"] = "iFruit Phone",
    ["weight"] = 500,
    ["type"] = "item",
    ["image"] = "bcsbhackingdevice.webp",
    ["unique"] = true,
    ["stackable"] = true,
    ["useable"] = true,
    ["shouldClose"] = true,
    ["description"] = "Ring ring..",
    ["quality"] = 100
},
```

#### **Important Notes**

* You may **rename the item**, but the item **must have a quality of 100**.
* This item **must match** the value of `ConfigBCSB.NetworkHackDevice` in the script’s config.
* Each use of the device reduces its quality by:\
  `ConfigBCSB.NetworkHackDeviceQualityReduction`
* When quality reaches **0**, the device becomes broken and unusable.

***

## **2. Optional: Add Battery Display (Inventory Formatter)**

To show the hacking device’s **remaining quality as a battery percentage**, add this to:

**`inventory > config.lua > ItemDescriptionFormatters`**

```lua
['bcsbhackingdevice'] = function(itemInfo)
    return string.format("Battery: %s%%", itemInfo.quality or 100)
end,
```

This provides players with a clear visual indicator of device durability.

***

## **3. Configure Doorlocks**

The script requires bank doors to be added to your server’s doorlock system.

***

### **3.1 Add Authorization Group**

Inside:

**`doorlocks > config.lua > Config.AuthGroups`**

Add:

```lua
["bcbauth"] = {
    jobs = {
        'commerce'
    }
},
```

You can edit the job list as needed for your server.

***

### **3.2 Add Bank Branch Doors**

Insert the following into:

**`doorlocks > config.lua > Config.Doors`**

This includes all four BCB bank locations.

***

#### **📍 Route 68 Bank**

```lua
['bcb-route68'] = {
    groupLabel = "BCB Bank Route 68",
    authGroup = "bcbauth",
    doors = {
        ["cashierdoor"] = {
            doorLabel = "Cashier Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -101507800, pos = vec4(581.017944, 2673.116455, 42.121815, 188.000015) },
            },
        },
        ["outsidevaultdoor"] = {
            doorLabel = "Outside Vault Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = 125089835, pos = vec4(574.239685, 2670.016357, 42.025562, 188.000015) },
            },
        },
        ["vaultdoor"] = {
            doorLabel = "Vault Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -1185205679, pos = vec4(575.807922, 2666.526611, 42.140053, 278.000000) },
            },
        },
        ["securityofficedoor"] = {
            doorLabel = "Security Office Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = 125089835, pos = vec4(573.686951, 2675.710205, 42.025562, 278.000000) },
            },
        },
        ["frontdoors"] = {
            doorLabel = "Front Doors",
            distance = 1.0,
            locked = false,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -934586187, pos = vec4(577.251709, 2679.138428, 42.124401, 188.000015) },
                [2] = { model = -573111360, pos = vec4(574.831970, 2678.798340, 42.124401, 8.000000) },
            },
        },
    }
},
```

***

#### **📍 Chumash Bank**

```lua
['bcb-chumash'] = {
    groupLabel = "BCB Bank Chumash",
    authGroup = "bcbauth",
    doors = {
        ["cashierdoor"] = {
            doorLabel = "Cashier Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -101507800, pos = vec4(-3151.030518, 1131.022461, 20.991756, 65.810410) },
            },
        },
        ["outsidevaultdoor"] = {
            doorLabel = "Outside Vault Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = 125089835, pos = vec4(-3150.043457, 1138.410400, 20.895506, 65.810410) },
            },
        },
        ["vaultdoor"] = {
            doorLabel = "Vault Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -1185205679, pos = vec4(-3153.831787, 1138.942261, 21.009993, 155.810394) },
            },
        },
        ["securityofficedoor"] = {
            doorLabel = "Security Office Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = 125089835, pos = vec4(-3144.930420, 1135.844849, 20.895506, 155.810394) },
            },
        },
        ["frontdoors"] = {
            doorLabel = "Front Doors",
            distance = 1.0,
            locked = false,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -934586187, pos = vec4(-3143.927979, 1131.001831, 20.994341, 65.795319) },
                [2] = { model = -573111360, pos = vec4(-3142.926758, 1133.230835, 20.994341, 245.824692) },
            },
        },
    }
},
```

***

#### **📍 Sandy Shores Bank**

```lua
['bcb-sandy'] = {
    groupLabel = "BCB Bank Sandy Shores",
    authGroup = "bcbauth",
    doors = {
        ["cashierdoor"] = {
            doorLabel = "Cashier Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -101507800, pos = vec4(1698.057495, 3783.170410, 35.004280, 33.999985) },
            },
        },
        ["outsidevaultdoor"] = {
            doorLabel = "Outside Vault Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = 125089835, pos = vec4(1702.790649, 3788.928223, 34.908028, 33.999985) },
            },
        },
        ["vaultdoor"] = {
            doorLabel = "Vault Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -1185205679, pos = vec4(1699.851440, 3791.377197, 35.022518, 123.999962) },
            },
        },
        ["securityofficedoor"] = {
            doorLabel = "Security Office Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = 125089835, pos = vec4(1705.783447, 3784.052979, 34.908028, 124.012199) },
            },
        },
        ["frontdoors"] = {
            doorLabel = "Front Doors",
            distance = 1.0,
            locked = false,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -934586187, pos = vec4(1704.082397, 3779.409180, 35.006866, 33.999985) },
                [2] = { model = -573111360, pos = vec4(1706.108154, 3780.775391, 35.006866, 213.999985) },
            },
        },
    }
},
```

***

#### **📍 Palomino Bank**

```lua
['bcb-palomino'] = {
    groupLabel = "BCB Bank Palomino",
    authGroup = "bcbauth",
    doors = {
        ["cashierdoor"] = {
            doorLabel = "Cashier Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -101507800, pos = vec4(2552.791504, 403.899872, 108.722183, 89.022285) },
            },
        },
        ["outsidevaultdoor"] = {
            doorLabel = "Outside Vault Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = 125089835, pos = vec4(2550.789551, 411.079681, 108.625931, 89.077782) },
            },
        },
        ["vaultdoor"] = {
            doorLabel = "Vault Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -1185205679, pos = vec4(2547.097656, 410.076691, 108.740417, 178.913803) },
            },
        },
        ["securityofficedoor"] = {
            doorLabel = "Security Office Door",
            distance = 1.0,
            locked = true,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = 125089835, pos = vec4(2556.500000, 410.734863, 108.625931, 178.914413) },
            },
        },
        ["frontdoors"] = {
            doorLabel = "Front Doors",
            distance = 1.0,
            locked = false,
            lockpick = false,
            hidden = true,
            doorObjects = {
                [1] = { model = -934586187, pos = vec4(2559.328125, 406.677765, 108.724762, 89.000015) },
                [2] = { model = -573111360, pos = vec4(2559.370850, 409.120941, 108.724762, 269.000031) },
            },
        },
    }
},
```

***

### **⚠️ Important**

**Do not change any doorlock names or group names.**\
They must stay **exactly** as shown above or the script will not function.

***

## **4. Hack Settings**

All hack settings within the config are pre-set for easy testing.\
The included recommended values provide a **balanced, challenging, and fun** heist experience.

You may adjust these later in the config to fit your server’s difficulty.

***

## **🎉 Installation Complete**

Once all steps above are completed:

* The hacking device is functional
* Doorlocks are ready
* Banks are fully configured
* Hack animations can be edited in **`hackanims.lua`**
* All additional settings are editable in **`config.lua`**

Your BCSB bank heist system is now ready to use.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gunchi.dev/scripts/blaine-county-savings-banks/installation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
